> ## Documentation Index
> Fetch the complete documentation index at: https://tahsil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transaction metadata



## OpenAPI

````yaml /openapi/openapi.yaml put /banks/transactions/{id}
openapi: 3.1.0
info:
  title: Tahsil API
  version: 1.0.0
  description: >-
    Tahsil müşterilerinin web ve mobil uygulamalarda kullandığı tenant-scoped
    müşteri API sözleşmesi.
servers:
  - url: https://api.tahsil.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Operations - Health
    description: Public liveness and dependency readiness probes.
  - name: Identity - Auth
    description: User login, refresh and logout flows for token-based access.
  - name: Banking - Accounts
    description: Bank account aggregation endpoints available to customer tenants.
  - name: Banking - Transactions
    description: Bank transaction ingestion and retrieval endpoints.
  - name: Banking - Automation
    description: Tenant transaction matching rules, assignments and historical runs.
  - name: Banking - Polling
    description: Polling schedule definitions for bank connector queries.
  - name: Banking - Dashboard
    description: Flexible tenant dashboard analytics and widget query endpoints.
  - name: Audit - Connector Logs
    description: Customer-visible bank connector request/response audit trail.
  - name: Payments - Orchestration
    description: Tenant Virtual POS, rate plan and payment intent orchestration.
paths:
  /banks/transactions/{id}:
    parameters:
      - $ref: '#/components/parameters/Id'
    put:
      tags:
        - Banking - Transactions
      summary: Update transaction metadata
      operationId: putBanksTransactionsById
      parameters:
        - name: x-company-id
          in: header
          required: true
          schema:
            type: string
          description: Target tenant company id for write operation.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionUpdate'
      responses:
        '200':
          $ref: '#/components/responses/StatusResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    TransactionUpdate:
      type: object
      properties:
        transactionDate:
          type:
            - string
            - 'null'
          format: date-time
        fetchedAt:
          type:
            - string
            - 'null'
          format: date-time
        description:
          type:
            - string
            - 'null'
        findAI:
          type: boolean
        status:
          type: boolean
  responses:
    StatusResponse:
      description: Operation completed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: boolean
          example:
            status: true
    ErrorResponse:
      description: Request failed
      content:
        application/json:
          schema:
            type: object
            required:
              - status
            properties:
              status:
                type: boolean
                const: false
              error:
                type: object
                additionalProperties: true
          example:
            status: false
            error:
              code: AUTHENTICATION_REQUIRED
              message: Authentication is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Update a manual assignment](/api-reference/banking--automation/update-a-manual-assignment.md)
- [List normalized provider connection field metadata](/api-reference/banking--accounts/list-normalized-provider-connection-field-metadata.md)
- [Update a rule using optimistic version locking](/api-reference/banking--automation/update-a-rule-using-optimistic-version-locking.md)
- [Update polling schedule](/api-reference/banking--polling/update-polling-schedule.md)
- [Update a Virtual POS connection](/api-reference/payments--orchestration/update-a-virtual-pos-connection.md)
